[Nagiosplug-devel] [ nagiosplug-Patches-1343151 ] check_ssh needs to support multiple acceptable ssh versions

SourceForge.net noreply at sourceforge.net
Mon Oct 31 06:17:06 UTC 2005


Patches item #1343151, was opened at 2005-10-30 23:42
Message generated for change (Comment added) made by rouilj
You can respond by visiting: 
https://sourceforge.net/tracker/?func=detail&atid=397599&aid=1343151&group_id=29880

Please note that this message will contain a full copy of the comment thread,
including the initial issue submission, for this request,
not just the latest update.
Category: Enhancement
Group: None
Status: Open
Resolution: None
Priority: 5
Submitted By: John Rouillard (rouilj)
Assigned to: Nobody/Anonymous (nobody)
Summary: check_ssh needs to support multiple acceptable ssh versions

Initial Comment:
From: rouilj-np at renesys.com

Patch against check_ssh version 1.27 in nagios-plugins
version 1.4.2.

The -r flag to check_ssh is used to specify a version
string
to be matched in the ssh banner. If the string doesn't
match
a warning is returned.

It is useful to specify multiple valid banners so that
non-buggy
but older versions of ssh can be recognized and accepted.

This patch allows the -r flag to be specified multiple
times
and all version strings will be cmpared to the one returned
by the ssh daemon. If none of the strings match WARNING
is returned. If one of the strings matches, no warning
is generated from the version check section of the code.

-- rouilj


----------------------------------------------------------------------

>Comment By: John Rouillard (rouilj)
Date: 2005-10-31 09:16

Message:
Logged In: YES 
user_id=707416

This time I will attach the patch that actually works and
not the
earlier version. 8-)

----------------------------------------------------------------------

You can respond by visiting: 
https://sourceforge.net/tracker/?func=detail&atid=397599&aid=1343151&group_id=29880




More information about the Nagiosplugin-devel mailing list